Subject: RE: startup datastore

From: "Rob Enns" <[email-masked]>
Date: Fri, 4 Jun 2004 10:53:20 -0700

One slight correction, the <startup> configuration is only
available on devices with the #startup capability (not the
#writable-running capability).

thanks, 
 Rob 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Andy Bierman
> Sent: Thursday, May 27, 2004 11:46 AM
> To: Cristian Cadar
> Cc: [email-masked]
> Subject: Re: startup datastore
> 
> At 03:27 AM 5/27/2004, Cristian Cadar wrote:
> 
> >Hi,
> >
> >I'm trying to understand the use of the startup datastore 
> when used toghether
> >with the running datastore.
> > From the draft: "Running: The complete configuration 
> currently active on the
> >network device..." should I understand that the device is 
> configured at boot time with the content of the startup
> >datastore and after a while is configured by the content of 
> the running datastore? 
> 
> no.  The <running> configuration datastore is simply the
> sum of all current configuration settings.  The <startup>
> configuration is only visible on devices that have the 
> #writable-running
> (sec. 6.4.1) capability set.  This means that the active
> configuration and the next-reboot configuration are not
> kept in sync automatically by the agent.  Instead, the
> next-reboot config (called <startup>) is updated with
> the copy-config operation (copy <running> to <startup>).
> Devices without this capability do not need a <startup>
> config because it will always be identical to <running>,
> so it's redundant.
> 
> >what happens if 
> >their content differ? When and in which situations the 
> startup datastore may be used? For the time being I cannot
> >see any win having a startup datastore.
> 
> The value of a separate startup config is to provide the 
> operator some control as when it is safe to overwrite the 
> next-reboot config.  Since existing technology (as well as 
> NETCONF) doesn't provide mechanisms for the agent to identity 
> actual transaction boundaries for , the agent doesn't
> know when the running config is stable.
> 
> 
> 
> >TNX
> >Cristian
> >
> >
> >--
> >to unsubscribe send a message to [email-masked] with
> >the word 'unsubscribe' in a single line as the message text body.
> >archive: <http://ops.ietf.org/lists/netconf/> 
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/netconf/>
> 
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>